Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tibco.bpm.web.client.model.types
Class ProcessTemplate

    java.lang.Object
      com.tibco.bpm.web.client.model.types.ProcessTemplate

All Implemented Interfaces:
  com.google.gwt.user.client.rpc.IsSerializable

    public class ProcessTemplate

extends java.lang.Object
implements com.google.gwt.user.client.rpc.IsSerializable

Details of a Process Template definition.

©2011 TIBCO Software Inc.

Since:
  1.2.0

Constructor Summary
`ProcessTemplate()`
`ProcessTemplate(java.lang.String moduleName, java.lang.String processName, java.lang.String version, java.lang.String description, java.lang.String starterOperation, boolean willSave, java.lang.String saveDuration)`

Method Summary
`boolean` | `equals(java.lang.Object that)`
`java.lang.String` | `getDescription()` The description of the process template.
`java.lang.String` | `getModuleName()` The name of the module containing the process template.
`java.lang.String` | `getProcessName()` The name of the process template.
`java.lang.String` | `getSaveDuration()` The attribute PurgeDuration in the template.
`java.lang.String` | `getStarterOperation()` The name of the starter operation if this process can be invoked directly ( or null if the process is not startable ).
`java.lang.String` | `getVersion()` The version of the process template.
`boolean` | `isStartable()` Flag to say whether the process can be invoked directly.
`boolean` | `isWillSave()` Flag to say whether the process instances are saved for deferred purging or not saved (for immediate purge)
`void` | `setDescription(java.lang.String description)` The description of the process template.
`void` | `setModuleName(java.lang.String moduleName)` The name of the module containing the process template.
`void` | `setProcessName(java.lang.String processName)` The name of the process template.
`void` | `setSaveDuration(java.lang.String saveDuration)` The attribute PurgeDuration in the template.
`void` | `setStartable(boolean startable)` Flag to say whether the process can be invoked directly.
`void` | `setStarterOperation(java.lang.String starterOperation)` The name of the starter operation if this process can be invoked directly ( or null if the process is not startable ).
`void` | `setVersion(java.lang.String version)` The version of the process template.
`void` | `setWillSave(boolean willSave)` Flag to say whether the process instances are saved for deferred purging or not saved (for immediate purge)

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ProcessTemplate

    public ProcessTemplate()

### ProcessTemplate

    public ProcessTemplate(java.lang.String moduleName,
                           java.lang.String processName,
                           java.lang.String version,
                           java.lang.String description,
                           java.lang.String starterOperation,
                           boolean willSave,
                           java.lang.String saveDuration)

Method Detail

### getModuleName

    public java.lang.String getModuleName()

  The name of the module containing the process template.

  Returns:
    Returns the moduleName.

### setModuleName

    public void setModuleName(java.lang.String moduleName)

  The name of the module containing the process template.

  Parameters:
    `moduleName` - The moduleName to set.

### getProcessName

    public java.lang.String getProcessName()

  The name of the process template.

  Returns:
    Returns the processName.

### setProcessName

    public void setProcessName(java.lang.String processName)

  The name of the process template.

  Parameters:
    `processName` - The processName to set.

### getVersion

    public java.lang.String getVersion()

  The version of the process template.

  Returns:
    Returns the version.

### setVersion

    public void setVersion(java.lang.String version)

  The version of the process template.

  Parameters:
    `version` - The version to set.

### getDescription

    public java.lang.String getDescription()

  The description of the process template.

  Returns:
    Returns the description.

### setDescription

    public void setDescription(java.lang.String description)

  The description of the process template.

  Parameters:
    `description` - The description to set.

### getStarterOperation

    public java.lang.String getStarterOperation()

  The name of the starter operation if this process can be invoked directly ( or null if the process is not startable ).

  Returns:
    Returns the starterOperation.

### setStarterOperation

    public void setStarterOperation(java.lang.String starterOperation)

  The name of the starter operation if this process can be invoked directly ( or null if the process is not startable ).

  Parameters:
    `starterOperation` - The starterOperation to set.

### isStartable

    public boolean isStartable()

  Flag to say whether the process can be invoked directly.

  Returns:
    Returns the startable.

### setStartable

    public void setStartable(boolean startable)

  Flag to say whether the process can be invoked directly.

  Parameters:
    `startable` - The startable to set.

### isWillSave

    public boolean isWillSave()

  Flag to say whether the process instances are saved for deferred purging or not saved (for immediate purge)

  Returns:
    willSave value true or false - for respectively "purge deferred" or "purge immediate"

### setWillSave

    public void setWillSave(boolean willSave)

  Flag to say whether the process instances are saved for deferred purging or not saved (for immediate purge)

  Parameters:
    `willSave` - true or false - for respectively "purge deferred" or "purge immediate"

### setSaveDuration

    public void setSaveDuration(java.lang.String saveDuration)

  The attribute PurgeDuration in the template.

  Parameters:
    `purgeDuration` - The duration of the purge to set.

### getSaveDuration

    public java.lang.String getSaveDuration()

  The attribute PurgeDuration in the template.

  Returns:
    purgeDuration

### equals

    public boolean equals(java.lang.Object that)

  Overrides:
    `equals` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015 TIBCO Software Inc. All Rights Reserved.